Package: org.codehaus.groovy.syntax

## [Java] Class ASTHelper

- org.codehaus.groovy.syntax.ASTHelper

-     public class ASTHelper
      extends Object

  A common base class of AST helper methods which can be shared across the classic and new parsers

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTHelper(SourceUnit controller, ClassLoader classLoader)`
    `ASTHelper()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `dot(String base, String name)` Returns: Two names joined by a dot.
    `` | `public ClassLoader` | `getClassLoader()` Returns our class loader (as supplied on construction).
    `` | `public SourceUnit` | `getController()`
    `` | `public String` | `getPackageName()`
    `` | `public void` | `setClassLoader(ClassLoader classLoader)`
    `` | `public void` | `setController(SourceUnit controller)`
    `` | `public PackageNode` | `setPackage(String packageName, List<AnnotationNode> annotations)`
    `` | `public void` | `setPackageName(String packageName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ASTHelper(SourceUnit controller, ClassLoader classLoader)

    - #### public ASTHelper()

  - ### Method Detail

    - #### public static String dot(String base, String name)

      Returns:
        Two names joined by a dot. If the base name is empty, returns the name unchanged.
      Parameters:
        `base` - typically a package
        `name` - typically a simple unqualified class name

    - #### public ClassLoader getClassLoader()

      Returns our class loader (as supplied on construction).

    - #### public SourceUnit getController()

    - #### public String getPackageName()

    - #### public void setClassLoader(ClassLoader classLoader)

    - #### public void setController(SourceUnit controller)

    - #### public PackageNode setPackage(String packageName, List<AnnotationNode> annotations)

    - #### public void setPackageName(String packageName)